=== debian/control ===
Source: ros-rolling-rmf-building-sim-ignition-plugins
Section: misc
Priority: optional
Maintainer: Luca Della Vedova <luca@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), libqt5core5a, libqt5qml5, libqt5quick5, ros-rolling-ament-cmake, ros-rolling-menge-vendor, ros-rolling-rclcpp, ros-rolling-rmf-building-sim-common, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-rmf-building-sim-ignition-plugins
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt5core5a, libqt5qml5, libqt5quick5, ros-rolling-menge-vendor, ros-rolling-rclcpp, ros-rolling-rmf-building-sim-common, ros-rolling-ros-workspace
Description: Ignition gazebo plugins for building infrastructure simulation
